<!DOCTYPE html>
<html>
<head>
    <title>Web Page Crawler 5</title>
<script>
    function toggleWebyepSystemFiles() {
        var checkbox = document.getElementById('toggleCheckbox');
        var webyepSystemFolders = document.getElementsByClassName('webyep-system-folder');

        for (var i = 0; i < webyepSystemFolders.length; i++) {
            if (checkbox.checked) {
                webyepSystemFolders[i].style.display = 'block';
            } else {
                webyepSystemFolders[i].style.display = 'none';
            }
        }
    }
</script>
</head>
<body>
    <h1>Web Page Crawler 4</h1>

    <input type="checkbox" id="toggleCheckbox" onchange="toggleWebyepSystemFiles()">
    <label for="toggleCheckbox">Show "webyep-system" Folder</label>
    <br>
    <br>
    <?php
    function displaySiteStructure($directory, $indent = "")
    {
        // Check if the directory exists
        if (is_dir($directory)) {
            $folderContent = scandir($directory);

            foreach ($folderContent as $item) {
                if ($item != "." && $item != "..") {
                    $itemPath = $directory . '/' . $item;

                    // Check if the item is a directory
                    if (is_dir($itemPath)) {
                        if (strpos($itemPath, 'webyep-system') !== false) {
                            echo '<div class="webyep-system-folder">';
                        }

                        echo $indent . "📁 " . $item . "<br>";

                        // Recursively display the structure within the subdirectory
                        displaySiteStructure($itemPath, $indent . "&nbsp;&nbsp;");

                        if (strpos($itemPath, 'webyep-system') !== false) {
                            echo '</div>';
                        }
                    } else {
                        // Check if the item is an HTML file
                        if (pathinfo($itemPath, PATHINFO_EXTENSION) === 'html') {
                            echo $indent . "📄 " . $item . "<br>";
                            // List the referenced images or files within the HTML file
                            listReferencedFiles($itemPath, $indent . "&nbsp;&nbsp;&nbsp;&nbsp;");
                        }
                    }
                }
            }
        }
    }

    function listReferencedFiles($file, $indent = "")
    {
        // Read the contents of the HTML file
        $contents = file_get_contents($file);

        // Use regular expressions to find references to images or files
        preg_match_all('/src="([^"]+)"/i', $contents, $matches);

        if (!empty($matches[1])) {
            echo $indent . "<ul>";
            foreach ($matches[1] as $match) {
                echo $indent . "<li>" . $match . "</li>";
            }
            echo $indent . "</ul>";
        }
    }

    // Directory to display the site structure (replace with the desired directory path)
    $directoryToDisplay = '../../../';

    // Call the displaySiteStructure function
    displaySiteStructure($directoryToDisplay, '');
    ?>



</body>
</html>
