<!DOCTYPE html>
<html>
<head>
    <title>Web Page Crawler</title>
    <script>
        function toggleWebyepSystemFiles() {
            var checkbox = document.getElementById('toggleCheckbox');
            var webyepSystemFolders = document.getElementsByClassName('webyep-system-folder');
            
            for (var i = 0; i < webyepSystemFolders.length; i++) {
                if (checkbox.checked) {
                    webyepSystemFolders[i].style.display = 'block';
                } else {
                    webyepSystemFolders[i].style.display = 'none';
                }
            }
        }
    </script>
</head>
<body>
    <h1>Web Page Crawler 4</h1>
    
    <input type="checkbox" id="toggleCheckbox" onchange="toggleWebyepSystemFiles()">
    <label for="toggleCheckbox">Show "webyep-system" Folder</label>
<br>
<br>
    <?php
    function displaySiteStructure($directory, $indent = "")
    {
        // Check if the directory exists
        if (is_dir($directory)) {
            $folderContent = scandir($directory);

            foreach ($folderContent as $item) {
                if ($item != "." && $item != "..") {
                    $itemPath = $directory . '/' . $item;

                    // Check if the item is a directory
                    if (is_dir($itemPath)) {
                        if (strpos($itemPath, 'webyep-system') !== false) {
                            echo '<div class="webyep-system-folder">';
                        }
                        
                        echo $indent . "📁 " . $item . "<br>";

                        // Recursively display the structure within the subdirectory
                        displaySiteStructure($itemPath, $indent . "&nbsp;&nbsp;");
                        
                        if (strpos($itemPath, 'webyep-system') !== false) {
                            echo '</div>';
                        }
                    } else {
                        echo $indent . "📄 " . $item . "<br>";
                    }
                }
            }
        }
    }

    // Directory to display the site structure (replace with the desired directory path)
    $directoryToDisplay = '../../../';

    // Call the displaySiteStructure function
    displaySiteStructure($directoryToDisplay, '');
    ?>

</body>
</html>
