<!DOCTYPE html>
<html>
<head>
    <title>Check References</title>
    <style>
        .column {
            float: left;
            width: 50%;
        }
    </style>
</head>
<body>
<?php

// URL of the CMS-generated HTML pages
$cmsUrl = 'http://webyep-307:8888/';

// Path to the specific folder containing files and images
$folderPath = '../../data/userfiles/images/';

// Array to store the list of files and images found in the folder
$folderFiles = [];

// Get the list of files and images in the folder
$folderContents = scandir($folderPath);
foreach ($folderContents as $file) {
    if ($file !== '.' && $file !== '..') {
        $folderFiles[] = $file;
    }
}

// Fetch the HTML pages
$html = file_get_contents($cmsUrl);

// Create a DOMDocument object
$dom = new DOMDocument();

// Disable error reporting for invalid HTML
libxml_use_internal_errors(true);

// Load the HTML content into the DOMDocument
$dom->loadHTML($html);

// Reset error reporting
libxml_clear_errors();

// Get all <a> elements from the HTML
$anchors = $dom->getElementsByTagName('a');

// Array to store the references found in the HTML pages
$references = [];

// Extract file references
foreach ($anchors as $anchor) {
    $href = $anchor->getAttribute('href');
    $references[] = $href;
}

// Iterate over the references and extract image references from each page
$imageReferences = [];
foreach ($references as $reference) {
    // Fetch the HTML content of each page
    $pageUrl = $cmsUrl . $reference;
    $pageHtml = file_get_contents($pageUrl);

    // Load the page HTML into a separate DOMDocument
    $pageDom = new DOMDocument();
    $pageDom->loadHTML($pageHtml);

    // Get all <img> elements from the page
    $images = $pageDom->getElementsByTagName('img');

    // Extract image references
    foreach ($images as $image) {
        $src = $image->getAttribute('src');
        $imageReferences[] = $src;
    }
}

// Compare the image references with the files in the folder
$missingImages = array_diff($imageReferences, $folderFiles);

// Display the missing images
echo '<div class="column">';
echo "<h3>All Images:</h3>";
echo "<ul>";
foreach ($missingImages as $missingImage) {
    echo "<li>$missingImage</li>";
}
echo "</ul>";
echo '</div>';

// Display the list of files in the images folder
echo '<div class="column">';
echo "<h3>Files in Images Folder:</h3>";
echo "<ul>";
foreach ($folderFiles as $file) {
    echo "<li>$file</li>";
}
echo "</ul>";
echo '</div>';

?>
</body>
</html>
